﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://download.microsoft.com/download/e/a/7/ea70743f-0b72-4607-908b-5015fa6c052d/AzureConnectedMachineAgent.msi'
$checksum   = '85d3c699c74eaba2027d9e7ff23c7a89e093d4c2d82115dc6ed5e9430b10e308'
$softwareName = 'Azure Arc Agent *1.40*'


$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'msi'
  url           = $url
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
  checksum      = $checksum
  checksumType  = 'sha256'
  softwareName  = $softwareName
}

Install-ChocolateyPackage @packageArgs
